Bug 618100 - Skip filter UI for installation on basic storage
Summary: Skip filter UI for installation on basic storage
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ruediger Landmann
QA Contact: ecs-bugs
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 06:26 UTC by Ruediger Landmann
Modified: 2010-11-11 15:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 15:34:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 605544 None None None Never

Description Ruediger Landmann 2010-07-26 06:26:11 UTC
The basic storage path now skips the filter UI and does not filter any discs, therefore avoiding situations where the disk with the MBR was filtered out.

Comment 2 Ruediger Landmann 2010-07-26 07:02:59 UTC
Updated the end of section 9.5 to say 

"If you select Basic Storage Devices, anaconda automatically detects the local
storage attached to the system and does not require further input from you.
Proceed to Section 9.6, “Setting the Hostname”. "

and the beginning of section 9.9 to say 

"If you selected more than one specialized storage device on the storage
devices selection screen (refer to Section 9.5, “Storage Devices”), anaconda
asks you to select which of these devices should be available for installation
of the operating system, and which should only be attached to the file system
for data storage. If you selected only basic storage devices, or only one
specialized storage device, anaconda does not present you with this screen."

Fixed in build 0-79

Comment 3 Hans de Goede 2010-07-26 07:10:44 UTC
Hi,

(In reply to comment #2)
> Updated the end of section 9.5 to say 
> 
> "If you select Basic Storage Devices, anaconda automatically detects the local
> storage attached to the system and does not require further input from you.
> Proceed to Section 9.6, “Setting the Hostname”. "
> 

Good.

> and the beginning of section 9.9 to say 
> 
> "If you selected more than one specialized storage device on the storage
> devices selection screen (refer to Section 9.5, “Storage Devices”), anaconda
> asks you to select which of these devices should be available for installation
> of the operating system, and which should only be attached to the file system
> for data storage. If you selected only basic storage devices, or only one
> specialized storage device, anaconda does not present you with this screen."
> 

I believe this text refers to the screen where you have 2 columns of disks
and can move them form left to right, to select which ones to use, right ?

In that case this text is incorrect, this part is unchanged. This screen will still be shown in basic storage mode if the system has more then 1 disk. The problem / confusing the change fixes is that there were 2 disks selection screens, even in basic storage mode. We do however still need 1 disk selection screen (the second), when there is more then 1 disk in the system.

Regards,

Hans

p.s.

If I've misunderstood the second part, can you please provide a link to the latest draft of the installation guide, so that I can better place it ?

Comment 4 Ruediger Landmann 2010-07-27 18:14:40 UTC
Thanks Hans -- I can see where I went wrong. Should be fixed in build 0-80; section 9.9 reverted to:

"If you selected more than one storage device on the storage
devices selection screen (refer to Section 9.5, “Storage Devices”), anaconda
asks you to select which of these devices should be available for installation
of the operating system, and which should only be attached to the file system
for data storage. If you selected only one storage device, anaconda does not present you with this screen."


Cheers
Rudi

Comment 7 releng-rhel@redhat.com 2010-11-11 15:34:29 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.